Recommended update for autoyast2, yast2-schema

SUSE Recommended Update: Recommended update for autoyast2, yast2-schema
Announcement ID: SUSE-RU-2020:0449-1
Rating: moderate
References: #1123091 #1134501 #1143106 #1156905 #1159157
Affected Products:
  • SUSE Linux Enterprise Module for Basesystem 15-SP1

An update that has 5 recommended fixes can now be installed.

Description:

This update for autoyast2, yast2-schema fixes the following issues:
autoyast2 was updated to fix:

  • Fixed conflicting items in rule dialogs (bsc#1123091).
  • Semi-automatic with partition: Do not use the common AY partition workflow (bsc#1134501).
  • Do not reset Base-Product while registration. Do not call registration in the second installation stage again. (bsc#1143106).
  • Fix profile validation for scripts elements (bsc#1156905).
  • UI: Report XML parsing errors instead of just crashing (bsc#1159157).

Updates in yast2-schema:
  • Fix 'scripts' elements validation (bsc#1156905).

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Basesystem 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-449=1

Package List:

  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (aarch64 ppc64le s390x x86_64):
    • yast2-schema-4.1.8-3.6.1
  • SUSE Linux Enterprise Module for Basesystem 15-SP1 (noarch):
    • autoyast2-4.1.8-3.6.1
    • autoyast2-installation-4.1.8-3.6.1

References: